

<template>
      <pdf :src="lien"></pdf>
</template>



<script>
import pdf from 'vue-pdf'
export default {
    name:"pdfviewer",
     components: {
    pdf
     },
    data:()=>({
       lien:"",
 
    }),

    created(){

            var allMagazine =  this.$store.getters["autoshop/magazines"];
            
           

            var magazine = allMagazine.find((mag)=> mag.id === this.$route.params.id);

            console.log(magazine);

            this.lien = magazine.lien;
    }

}
</script>